
TYPO3.Flow - Bug # 44535

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Utility
Created: 2013-01-15 Assigned To: Karsten Dambekalns
Updated: 2013-08-02 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: (any)
Subject: Subclasses of SplObjectStorage, ArrayObject, Collection not considered collection type
Description

TypeHandling::isCollectionType() does not consider inheritance when it comes to the checking it does. Thus a subclass of 
SplObjectStorage or an implementation of Doctrine's Collection interface will not pass the check.

Related issues:
related to TYPO3.Flow - Bug # 45876: Exception in TypeHandling with PHP < 5.3.7 Resolved 2013-02-27

Associated revisions
Revision 54d4fe93 - 2013-01-15 13:12 - Karsten Dambekalns

[BUGFIX] Check inheritance in TypeHandling::isCollectionType()

With this change TypeHandling::isCollectionType() does consider
inheritance when it comes to the checking it does. Thus a subclass of
SplObjectStorage or an implementation of Doctrine's Collection interface
will now be seen as a collection type.

Change-Id: I007b0faf486680ecfb2fe7c753ef4cabcf6d618c
Fixes: #44535
Releases: master, 2.0, 1.1

Revision 59c09768 - 2013-03-19 18:29 - Karsten Dambekalns

[BUGFIX] Check inheritance in TypeHandling::isCollectionType()

With this change TypeHandling::isCollectionType() does consider
inheritance when it comes to the checking it does. Thus a subclass of
SplObjectStorage or an implementation of Doctrine's Collection interface
will now be seen as a collection type.

Change-Id: I007b0faf486680ecfb2fe7c753ef4cabcf6d618c
Fixes: #44535
Releases: master, 2.0, 1.1

Revision 54a771e3 - 2013-03-20 09:58 - Karsten Dambekalns

[BUGFIX] Check inheritance in TypeHandling::isCollectionType()
With this change TypeHandling::isCollectionType() does consider
inheritance when it comes to the checking it does. Thus a subclass of
SplObjectStorage or an implementation of Doctrine's Collection interface
will now be seen as a collection type.

Change-Id: I007b0faf486680ecfb2fe7c753ef4cabcf6d618c
Fixes: #44535
Releases: master, 2.0, 1.1

History
#1 - 2013-01-15 13:18 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See https://review.typo3.org/17542

#2 - 2013-03-07 13:35 - Christoph Gross

I get Errors after applying the Patchset: http://pastebin.com/2J84kLK1
Should be reverted.

#3 - 2013-03-19 18:31 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19063

#4 - 2013-03-19 18:32 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19064

#5 - 2013-03-19 18:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:59c0976870264f59ca88b186f27b2a89c4c2cd4e.

#6 - 2013-03-20 10:00 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/19064

#7 - 2013-08-02 11:21 - Karsten Dambekalns
- Status changed from Under Review to Resolved
